<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="LOGS-CONTENT">
		<table width="100%" cellpadding="0" cellspacing="0"  border="0">
			<tr>
				<td><xsl:apply-templates select="TAB-PANEL"/></td>
			</tr>
		</table>
		
		<script language="javascript">	
			function clearLog(action) {
				if (confirm('<xsl:value-of select="../../LOCALE/SURE-TO-CLEAR"/>')) {
					document.forms.listForm.action.value = action;
					document.forms.listForm.submit();
				}
			}
		</script>
	</xsl:template>

	<xsl:template match="LOG-CARD-CONTENT">
		<form name="logDetailsForm" id="logDetailsForm" method="post" action="">
			<input type="hidden" name="logId" value=""/>
		</form>
		
		<script language="javascript">				
			function showRecord(logId) {
				document.forms.logDetailsForm.logId.value = logId;
				document.forms.logDetailsForm.action = '<xsl:value-of select="../TAB-PANEL-CARD[@ACTION]"/>';
				document.forms.logDetailsForm.submit();
			}
		</script>
		
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr><td><xsl:apply-templates /></td></tr>
		</table>
	</xsl:template>
	
	
	<xsl:template match="PAGED-LIST/LIST/HEADER">
		<input type="hidden" name="logId"/>
	
		<tr class="SBGridViewHeader" align="left" style="height:24px; white-space:nowrap;">
			
			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="field">source</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="SOURCE"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>				
			</xsl:call-template>
			
			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="field">level</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="LEVEL"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
			</xsl:call-template>
			
			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="field">creationDate</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="CREATION-DATE"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
			</xsl:call-template>
		
			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="field">userName</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="USER-NAME"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
			</xsl:call-template>
			
			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="field">ipAddress</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="IP-ADDRESS"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
			</xsl:call-template>
			
			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="field">message</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="MESSAGE"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
			</xsl:call-template>
			
		</tr>
	</xsl:template>
	
	<xsl:template match="PAGED-LIST/LIST/ITEM">
		<xsl:variable name="class" select="position() mod 2"/>
		<tr class="SB_List_Rrow_{$class}" style="height:24px;">
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="SOURCE"/></xsl:with-param>
				<xsl:with-param name="action">javascript:showRecord(<xsl:value-of select="LOG-ID"/>);</xsl:with-param>
				
			</xsl:call-template>
			
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="icon">
					<xsl:choose>
						<xsl:when test="LEVEL=1">verbose.gif</xsl:when>
						<xsl:when test="LEVEL=2">information.gif</xsl:when>
						<xsl:when test="LEVEL=3">warning.gif</xsl:when>
						<xsl:when test="LEVEL=4">error.gif</xsl:when>
						<xsl:when test="LEVEL=5">critical.gif</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="LEVEL"/> 
						</xsl:otherwise>
					</xsl:choose>
				</xsl:with-param>
			</xsl:call-template>
			
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="CREATION-DATE"/></xsl:with-param>
			</xsl:call-template>
			
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="USER-NAME"/></xsl:with-param>
			</xsl:call-template>
			
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="IP-ADDRESS"/></xsl:with-param>
			</xsl:call-template>
		
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="MESSAGE"/></xsl:with-param>
			</xsl:call-template>

		</tr>
	</xsl:template>
	
	<xsl:template match="TOOLBAR[@NAME='Details']">
		<xsl:call-template name="TOOLBAR"/>
		
		<table width="100%" cellpadding="5" cellspacing="0" border="0">
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='creationDate']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Text</xsl:with-param>
						<xsl:with-param name="titleStyle">font-weight: bold;</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='level']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Text</xsl:with-param>
						<xsl:with-param name="titleStyle">font-weight: bold;</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='logSourceId']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Text</xsl:with-param>
						<xsl:with-param name="titleStyle">font-weight: bold;</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='userName']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Text</xsl:with-param>
						<xsl:with-param name="titleStyle">font-weight: bold;</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='ip']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Text</xsl:with-param>
						<xsl:with-param name="titleStyle">font-weight: bold;</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='requestUri']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Text</xsl:with-param>
						<xsl:with-param name="titleStyle">font-weight: bold;</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='referer']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Text</xsl:with-param>
						<xsl:with-param name="titleStyle">font-weight: bold;</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='userAgent']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Text</xsl:with-param>
						<xsl:with-param name="titleStyle">font-weight: bold;</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='message']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Text</xsl:with-param>
						<xsl:with-param name="titleStyle">font-weight: bold;</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
		</table>
				
	</xsl:template>
	
</xsl:stylesheet>

                              
