<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="PAGED-LIST/LIST[@PREFIX='ModulesList']/HEADER">
<tr class="SBGridViewHeader" align="left" style="height:24px;white-space:nowrap;">	
	<xsl:call-template name="LIST-HEADER-ITEM">
		<xsl:with-param name="field">name</xsl:with-param>
		<xsl:with-param name="width">1%</xsl:with-param>
		<xsl:with-param name="tab"><xsl:value-of select="../@PREFIX"/></xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="LIST-HEADER-ITEM">
		<xsl:with-param name="field">code</xsl:with-param>
		<xsl:with-param name="title"><xsl:value-of select="CODE"/></xsl:with-param>
		<!--xsl:with-param name="width">24%</xsl:with-param-->
		<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
		<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		<xsl:with-param name="tab"><xsl:value-of select="../@PREFIX"/></xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="LIST-HEADER-ITEM">
		<xsl:with-param name="field">name</xsl:with-param>
		<xsl:with-param name="title"><xsl:value-of select="NAME"/></xsl:with-param>
		<!--xsl:with-param name="width">25%</xsl:with-param-->
		<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
		<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		<xsl:with-param name="tab"><xsl:value-of select="../@PREFIX"/></xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="LIST-HEADER-ITEM">
		<xsl:with-param name="field">typeName</xsl:with-param>
		<xsl:with-param name="title"><xsl:value-of select="TYPE-NAME"/></xsl:with-param>
		<!--xsl:with-param name="width">25%</xsl:with-param-->
		<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
		<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		<xsl:with-param name="align">right</xsl:with-param>
		<xsl:with-param name="tab"><xsl:value-of select="../@PREFIX"/></xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="LIST-HEADER-ITEM">
		<xsl:with-param name="field">version</xsl:with-param>
		<xsl:with-param name="title"><xsl:value-of select="VERSION"/></xsl:with-param>
		<!--xsl:with-param name="width">25%</xsl:with-param-->
		<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
		<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>
		<xsl:with-param name="align">right</xsl:with-param>
		<xsl:with-param name="tab"><xsl:value-of select="../@PREFIX"/></xsl:with-param>
	</xsl:call-template>

	<th style="width:1%;">
		<input type="checkbox" name="TopModulesList" onclick="setCheckboxStatus(this.checked, 'ModulesList');"/>
	</th>
</tr>
</xsl:template>

<xsl:template match="PAGED-LIST/LIST[@PREFIX='ModulesList']/ITEM">
	<xsl:variable name="class" select="position() mod 2"/>
	<xsl:variable name="tmp"><xsl:value-of select="CODE/."/></xsl:variable>
	<tr class="SB_List_Rrow_{$class}" style="height:24px;">	
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="icon">
				<xsl:choose>
					<xsl:when test="IN-PLAN = '1'">run.png</xsl:when>
					<xsl:otherwise>shutdown.png</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>

		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="title"><xsl:value-of select="CODE"/></xsl:with-param>
		</xsl:call-template>
	
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="title"><xsl:value-of select="NAME"/></xsl:with-param>
		</xsl:call-template>
	
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="title"><xsl:value-of select="TYPE-NAME"/></xsl:with-param>
			<xsl:with-param name="align">right</xsl:with-param>
		</xsl:call-template>
		
		<xsl:call-template name="LIST-ROW-ITEM">
			<xsl:with-param name="title"><xsl:value-of select="VERSION"/></xsl:with-param>
			<xsl:with-param name="align">right</xsl:with-param>
		</xsl:call-template>

		<td style="width:1%;text-align:center">
			<input type="checkbox" name="ModulesListIds[]" value="{MODULE-ID}">
				<xsl:if test="count(../../../DISABLED-MODULES/MODULE[.=$tmp])!=0">
					<xsl:attribute name="disabled">true</xsl:attribute>
				</xsl:if>
			</input>
		</td>
	</tr>
</xsl:template>

<xsl:template match="DISABLED-MODULES"></xsl:template>

</xsl:stylesheet>