<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="TSSETTINGS-CONTENT">
	<script type="text/javascript" src="/js/Admin/TrialSitesSettings.js?{$version}.{$build}"/>
	<form name="editTrialSitesSettings" method="post" action="{$baseUrl}/Admin/TrialSettings/Save" onsubmit="return submitForm();">
		<input type="hidden" name="tab" value=""/>
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td class="SB_ToolBarPadding" align="right">
					<xsl:apply-templates select="SELECT-LANGUAGE">
						<xsl:with-param name="name">selectedLocale</xsl:with-param>
						<xsl:with-param name="onChange">var selectedLocale = document.forms.editTrialSitesSettings.selectedLocale.options[document.forms.editTrialSitesSettings.selectedLocale.selectedIndex].value; document.forms.editTrialSitesSettings.selectedLocale.selectedIndex = originalSelectedLocaleIndex; sbNavigationObject.go('<xsl:value-of select="$baseUrl"/>/Admin/TrialSettings/Form?selectedLocale=' + selectedLocale);</xsl:with-param>
					</xsl:apply-templates>
					
					<script type="text/javascript" language="javascript">
						originalSelectedLocaleIndex = document.forms.editTrialSitesSettings.selectedLocale.selectedIndex;
					</script>
				</td>
			</tr>
			<tr>
				<td><xsl:apply-templates select="TAB-PANEL"/></td>
			</tr>
		</table>
	</form>

	<xsl:call-template name="OK-CANCEL-BUTTONS">
		<xsl:with-param name="okAction">if(validateForm()){document.forms.editTrialSitesSettings.submit();}</xsl:with-param>
		<xsl:with-param name="cancelAction">document.location.href="<xsl:value-of select="$baseUrl"/>/Admin/Server";</xsl:with-param>
	</xsl:call-template>
</xsl:template>

<xsl:template match="TAB-PANEL-CARD[@ID='advBanner']/CONTENT">
	<p>
		<strong><xsl:value-of select="PROMOTIONAL-MESSAGE"/></strong> : <a href="{PROMOTIONAL-LINK}"><xsl:value-of select="PROMOTIONAL-LINK"/></a>
		<br/><xsl:value-of select="NOTE-MESSAGE"/>
	</p>

	<p><strong><xsl:value-of select="ADV-MESSAGE"/></strong></p>

	<xsl:apply-templates select="WYSIWYG"/>
</xsl:template>

<xsl:template match="TAB-PANEL-CARD[@ID='publishSiteMsg']/CONTENT">
	<xsl:if test="@ALLOW-TO-PUBLISH">
	<p>
		<input type="checkbox" name="allowToPublish" value="1" onchange="top.sbApplyChangesObject.registerChange();">
			<xsl:if test="@ALLOW-TO-PUBLISH = 1"><xsl:attribute name="checked">true</xsl:attribute></xsl:if>
		</input>
		<xsl:value-of select="ALLOW-MESSAGE"/>
	</p>
	</xsl:if>

	<br/><strong><xsl:value-of select="SCREEN-MESSAGE"/></strong>
	<xsl:apply-templates select="WYSIWYG[@NAME='publishScreenHelpMessage']"/>

	<br/><strong><xsl:value-of select="APPEAR-MESSAGE"/></strong>
	<xsl:apply-templates select="WYSIWYG[@NAME='publishScreenMessage']"/>
</xsl:template>


<xsl:template match="TAB-PANEL-CARD[@ID='advBanner']/CONTENT">
	<p>
		<strong><xsl:value-of select="PROMOTIONAL-MESSAGE"/></strong> : <a href="{PROMOTIONAL-LINK}"><xsl:value-of select="PROMOTIONAL-LINK"/></a>
		<br/><xsl:value-of select="NOTE-MESSAGE"/>
	</p>

	<p><strong><xsl:value-of select="ADV-MESSAGE"/></strong></p>

	<xsl:apply-templates select="WYSIWYG"/>
</xsl:template>

<xsl:template match="TAB-PANEL-CARD[@ID='defSettings']/CONTENT">
	<table border="0" width="100%" cellpadding="2" cellspacing="0">
		<tr>
			<td>
				<xsl:apply-templates select="CONTROL[@NAME='skinId' and @TYPE='COMBO-BOX']" mode="TITLE-LEFT">
					<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
					<xsl:with-param name="onChange">top.sbApplyChangesObject.registerChange();</xsl:with-param>
				</xsl:apply-templates>
			</td>
		</tr>
		<tr>
			<td>
				<xsl:apply-templates select="CONTROL[@NAME='localeId' and @TYPE='COMBO-BOX']" mode="TITLE-LEFT">
					<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
					<xsl:with-param name="onChange">top.sbApplyChangesObject.registerChange();</xsl:with-param>
				</xsl:apply-templates>
			</td>
		</tr>
	</table>
</xsl:template>

</xsl:stylesheet>