<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
<xsl:template match="FORGET-PASSWORD">
	<script type="text/javascript" src="/js/ForgetPassword.js?{$version}.{$build}"/>
	
	<form name="loginForm" method="post" id="fpForm" action="{$baseUrl}/ForgetPassword" onsubmit="javascript:return validateForm();">
		<table width="100%" border="0">
			<tr>
				<td align="center" style="padding-top: 40px" >
					<table cellspacing="0" cellpadding="0" border="0" class="SB_LoginTable">
							<tr><td class="SB_LoginTitle" colspan="2"><xsl:value-of select="RESET-PASSWORD"/></td></tr>
							<tr>
								<td style="padding: 10px;">
									<table width="100%" border="0" >
										<tr>
											<td colspan="2" class="SB_LoginDescription">
											<strong><xsl:value-of select="ATTENTION"/></strong><br/>
											<xsl:value-of select="DESCRIPTION"/>
											</td>
										</tr> 
										
										<tr>
											<td class="SB_LoginControlTitle"><xsl:value-of select="CONTROL[@NAME='login']/@TITLE"/><span id="login_asterix" class="SB_Asterix"> *</span></td>
											<td>
												<xsl:apply-templates select="CONTROL[@NAME='login']" mode="TITLE-NONE">
													<xsl:with-param name="controlClass">SB_LoginControl</xsl:with-param>
												</xsl:apply-templates>
											</td>
										</tr> 
										
										<tr>
											<td class="SB_LoginControlTitle"><xsl:value-of select="CONTROL[@NAME='email']/@TITLE"/><span id="email_asterix" class="SB_Asterix"> *</span></td>
											<td>
												<xsl:apply-templates select="CONTROL[@NAME='email']" mode="TITLE-NONE">
													<xsl:with-param name="controlClass">SB_LoginControl</xsl:with-param>
												</xsl:apply-templates>
											</td>
										</tr> 
										
										<tr>
											<td colspan="2" nowrap="true" align="right">
											<table width="1%" border="0" cellpadding="0" cellpacing="0"> 
											<tr>
												<td>
													<xsl:call-template name="BUTTON-CONTROL">
														<xsl:with-param name="class">SB_LoginControlButton</xsl:with-param>
														<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SEND"/></xsl:with-param>
														<xsl:with-param name="action">javascript:validateForm();</xsl:with-param>
													</xsl:call-template>
												</td>
												<td>
													<xsl:call-template name="BUTTON-CONTROL">
														<xsl:with-param name="class">SB_LoginControlButton</xsl:with-param>
														<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CANCEL"/></xsl:with-param>
														<xsl:with-param name="action">document.location.href='<xsl:value-of select="$baseUrl" disable-output-escaping="yes"/>/Login';</xsl:with-param>
													</xsl:call-template>
												</td>
											</tr>
											</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</form>
	</xsl:template>

	<xsl:template match="SITEBUILDER-PAGE">
		<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%">
			<tr>
				<td class="SB_AdminPanel_Header">
					<xsl:if test="NAVIGATION">
						<xsl:attribute name="colspan">2</xsl:attribute>
					</xsl:if>
					<table class="SB_AdminPanel_Header_Inner" border="0" width="100%">
						<tr>
							<td valign="middle" style="padding-left:20;">
								<xsl:call-template name="HEADER-LOGO"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td valign="top">
					<xsl:apply-templates select="VIEW-CONTENT/*"/>
					<xsl:apply-templates select="ACTION-STATUS/MESSAGE"/>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="ACTION-STATUS/MESSAGE">
		<script type="text/javascript">
			<xsl:comment>
				alert("<xsl:value-of select="text()"/>");
			//</xsl:comment>
		</script>
	</xsl:template>
	
	<xsl:template name="MAIN-PAGE-CONTENT">
		<tr>
			<td valign="top">
				<xsl:apply-templates select="VIEW-CONTENT"/>
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>