<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="TAB-PANEL">
		<table class="SB_FormTable" cellpadding="0" cellspacing="0" width="100%" border="0">
			<tr class="SB_FormTableHeader">
				<th valign="bottom" align="left" style="width: 100%;">
					<table style="width:100px;" cellpadding="0" cellspacing="0" border="0" class="SB_FormTable">
						<tr>
							<td valign="top" style="width:100%;"><table style="width:100%;" border="0" cellspacing="0" cellpadding="0">
								<tr>
									<xsl:apply-templates select="TAB-PANEL-CARD" mode="label"><xsl:with-param name="tabpanelId"><xsl:value-of select="@ID"/></xsl:with-param></xsl:apply-templates>
									<td style="width:100%;"></td>
								</tr>
							</table>
							</td>
						</tr>
					</table>
				</th>
			</tr>
			<tr>
				<td style="padding: 25px;" class="SB_Page">
					<xsl:apply-templates select="TAB-PANEL-CARD" mode="content" />
				</td>
			</tr>
			<tr class="SB_FormTableFooter">
				<th style="width: 100%;" >&#160;</th>
			</tr>
		</table>

		<script type="text/javascript">imgPath='<xsl:value-of select="$skinPath" />/images/';</script>
		<script type="text/javascript" src="/js/tabpanel.js?{$version}.{$build}"></script>
		<script type="text/javascript">
			<xsl:call-template name="TAB-PANEL-OBJECT-NAME"><xsl:with-param name="tabpanelId"><xsl:value-of select="@ID"/></xsl:with-param></xsl:call-template> = new TabPanel();
			<xsl:call-template name="TAB-PANEL-OBJECT-NAME"><xsl:with-param name="tabpanelId"><xsl:value-of select="@ID"/></xsl:with-param></xsl:call-template>.setupAllPages();
		</script>
		<xsl:apply-templates select="TAB-PANEL-CARD" mode="hint"><xsl:with-param name="tabpanelId"><xsl:value-of select="@ID"/></xsl:with-param></xsl:apply-templates>
	</xsl:template>

	<xsl:template name="TAB-PANEL-OBJECT-NAME">
		<xsl:param name="tabpanelId"/>
		<xsl:choose>
			<xsl:when test="$tabpanelId=''">sb_panel</xsl:when>
			<xsl:otherwise>sb_panel_<xsl:value-of select="$tabpanelId"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="TAB-PANEL-CARD" mode="label">
		<xsl:param name="tabpanelId"/>
		<xsl:choose>
			<xsl:when test="@ACTIVE != ''" >
				<xsl:call-template name="TAB-PANEL-CARD-SELECTED" ><xsl:with-param name="tabpanelId"><xsl:value-of select="$tabpanelId"/></xsl:with-param></xsl:call-template>
			</xsl:when>
			<xsl:otherwise >
				<xsl:call-template name="TAB-PANEL-CARD-NOTSELECTED" ><xsl:with-param name="tabpanelId"><xsl:value-of select="$tabpanelId"/></xsl:with-param></xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="TAB-PANEL-CARD-SELECTED">
		<xsl:variable name="toggle"><xsl:choose><xsl:when test="../@TOGGLE"><xsl:value-of select="../@TOGGLE"/></xsl:when><xsl:otherwise>toggle</xsl:otherwise></xsl:choose></xsl:variable>
		<xsl:param name="tabpanelId"/>
		<td style="width:100px;">
			<table border="0" cellspacing="0" cellpadding="0" style="width:100px;" class="TabLabelSelectedStyle">
				<xsl:attribute name="id"><xsl:value-of select="@ID" /></xsl:attribute>
				
				<xsl:choose>
					<xsl:when test="@ACTION">
						<xsl:attribute name="onclick">javascript:document.location.href='<xsl:value-of select="@ACTION"/>'</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="onclick">javascript:<xsl:value-of select="$toggle"/>('<xsl:call-template name="TAB-PANEL-OBJECT-NAME"><xsl:with-param name="tabpanelId"><xsl:value-of select="$tabpanelId"/></xsl:with-param></xsl:call-template>', this);</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
								
				<tr>
					<td>
						<img src="{$skinPath}/images/tabLeftOn.gif" alt="" >
							<xsl:attribute name="id"><xsl:value-of select="@ID" />_IL</xsl:attribute>
						</img>
					</td>
					<td style="white-space:nowrap;width:100%;background-image:url({$skinPath}/images/tabMiddleOn.gif);background-repeat:repeat-x;">
						<xsl:attribute name="id"><xsl:value-of select="@ID" />_T</xsl:attribute>
						<xsl:value-of select="@TITLE" />
					</td>
					<td>
						<img src="{$skinPath}/images/tabRightOn.gif" id="TabGeneral_IR" alt="" >
							<xsl:attribute name="id"><xsl:value-of select="@ID" />_IR</xsl:attribute>
						</img>
					</td>
				</tr>
			</table>
		</td>
	</xsl:template>
	
	<xsl:template name="TAB-PANEL-CARD-NOTSELECTED">
		<xsl:variable name="toggle"><xsl:choose><xsl:when test="../@TOGGLE"><xsl:value-of select="../@TOGGLE"/></xsl:when><xsl:otherwise>toggle</xsl:otherwise></xsl:choose></xsl:variable>
		<xsl:param name="tabpanelId"/>
		<td style="width:100px;">
			<table border="0" cellspacing="0" cellpadding="0" style="width:100px;" class="TabLabelDefaultStyle">
				<xsl:attribute name="id"><xsl:value-of select="@ID" /></xsl:attribute>
				
				<xsl:choose>
					<xsl:when test="@ACTION">
						<xsl:attribute name="onclick">javascript:document.location.href='<xsl:value-of select="@ACTION"/>'</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="onclick">javascript:<xsl:value-of select="$toggle"/>('<xsl:call-template name="TAB-PANEL-OBJECT-NAME"><xsl:with-param name="tabpanelId"><xsl:value-of select="$tabpanelId"/></xsl:with-param></xsl:call-template>', this);</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				
				<tr>
					<td>
						<img src="{$skinPath}/images/tabLeftOff.gif" alt="" >
							<xsl:attribute name="id"><xsl:value-of select="@ID" />_IL</xsl:attribute>
						</img>
					</td>
					<td style="white-space:nowrap;width:100%;background-image:url({$skinPath}/images/tabMiddleOff.gif);background-repeat:repeat-x;">
						<xsl:attribute name="id"><xsl:value-of select="@ID" />_T</xsl:attribute>
						<xsl:value-of select="@TITLE" />
					</td>
					<td>
						<img src="{$skinPath}/images/tabRightOff.gif" id="TabGeneral_IR" alt="" >
							<xsl:attribute name="id"><xsl:value-of select="@ID" />_IR</xsl:attribute>
						</img>
					</td>
				</tr>
			</table>
		</td>
	</xsl:template>

	<xsl:template match="TAB-PANEL-CARD" mode="content">
		<xsl:choose>
			<xsl:when test="@ACTIVE=1" >
				<xsl:call-template name="TAB-PANEL-CARD-CONTENT-SELECTED" />
			</xsl:when>
			<xsl:otherwise >
				<xsl:call-template name="TAB-PANEL-CARD-CONTENT-NOTSELECTED" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

    <xsl:template name="TAB-PANEL-CARD-CONTENT-SELECTED">
        <div style="display:block;">
            <xsl:attribute name="id"><xsl:value-of select="@ID" />Content</xsl:attribute>
            <xsl:apply-templates/>
        </div>
    </xsl:template>

    <xsl:template name="TAB-PANEL-CARD-CONTENT-NOTSELECTED">
        <div style="display:none;">
            <xsl:attribute name="id"><xsl:value-of select="@ID" />Content</xsl:attribute>
            <!-- <xsl:value-of select="@TEXT" /> -->
            <xsl:apply-templates/>
        </div>
    </xsl:template>

    <xsl:template match="TAB-PANEL-CARD" mode="hint">
    	<xsl:param name="tabpanelId">1</xsl:param>
    	<xsl:variable name="tabpanelIdInUpperCase"><xsl:call-template name="TO-UPPER-CASE"><xsl:with-param name="word"><xsl:value-of select="@ID"/></xsl:with-param></xsl:call-template></xsl:variable>
    	<xsl:variable name="localeKey"><xsl:value-of select="concat($tabpanelIdInUpperCase, '-HINT')"/></xsl:variable>
    	<xsl:variable name="localValue"><xsl:value-of select="/SITEBUILDER-PAGE/JS-LOCALE/*[name()=$localeKey]/text()" /></xsl:variable>
    	<xsl:if test="$localValue!=''">
	    	<script language="JavaScript">
	    		if (sb_status!= null) {
	    			<xsl:call-template name="TAB-PANEL-OBJECT-NAME"><xsl:with-param name="tabpanelId"><xsl:value-of select="$tabpanelId"/></xsl:with-param></xsl:call-template>.registerPageOnloadAction("<xsl:value-of select="current()/@ID" />", "sb_status.setByKey('<xsl:value-of select="$localeKey" />', 0);");
	    		}
	    	</script>
	    </xsl:if>
    </xsl:template>
    
    <xsl:template name="TAB-PANEl-CARD-ONLOAD-ACTION">
    	<xsl:param name="tabpanelId">1</xsl:param>
    	<xsl:param name="tabpanelCard"/>
    	<xsl:param name="action"/>
    	<xsl:call-template name="TAB-PANEL-OBJECT-NAME"><xsl:with-param name="tabpanelId"><xsl:value-of select="$tabpanelId"/></xsl:with-param></xsl:call-template>.registerPageOnloadAction("<xsl:value-of select="$tabpanelCard"/>","<xsl:value-of select="$action"/>");</xsl:template>
    	
    <xsl:template name="TO-UPPER-CASE">
    	<xsl:param name="word"/>
		<xsl:value-of select="translate($word,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>    
	</xsl:template>		
    
</xsl:stylesheet>