#!/bin/sh

MYSQL_TYPE=$1

if [ -z $@ ]; then
  MYSQL_TYPE="Linux"
fi

MYSQL_DIR=/usr
MYSQL_VAR_D=/var/lib/mysql
MYSQLD=/etc/rc.d/init.d/mysqld

if [ -f /etc/init.d/mysql ]; then
   MYSQLD=/etc/init.d/mysql
elif [ -f /etc/init.d/mysqld ]; then    
   MYSQLD=/etc/init.d/mysqld
elif [ -f  /usr/local/etc/rc.d/mysql-server.sh ]; then
   MYSQLD=/usr/local/etc/rc.d/mysql-server.sh
elif [ -f /etc/rc.d/mysql ]; then
   MYSQLD=/etc/rc.d/mysql
elif [ -f /usr/local/psa/rc.d/mysqld ]; then
   MYSQLD=/usr/local/psa/rc.d/mysqld
fi


#if [ "$MYSQL_TYPE" = "Linux" ]; then
if [ "$MYSQL_TYPE" = "FreeBSD" ]; then
  MYSQL_DIR=/usr/local
  MYSQL_VAR_D=/var/db/mysql
  if [ -f /etc/psa/.psa.shadow ]; then	
	MYSQL_DIR=/usr/local/psa/mysql
	MYSQL_VAR_D=/usr/local/psa/mysql/var
  fi
  
  MD5="md5"
else
  MD5="md5sum"
fi

MYSQL_BIN_D=${MYSQL_DIR}/bin
SAFE_MYSQL=$MYSQL_BIN_D/mysqld_safe
if [ -x $MYSQL_BIN_D/safe_mysqld ]; then
  SAFE_MYSQL=$MYSQL_BIN_D/safe_mysqld
fi
#if [ -x /opt/mysql-4.1/bin/mysqld_safe ]; then
#  SAFE_MYSQL=/opt/mysql-4.1/bin/mysqld_safe
#fi
MYSQL_CLIENT=$MYSQL_BIN_D/mysql
MYSQL_ADMIN_LOGIN=root
MYSQL_ADMIN_PASSWORD=
MYSQL_NEED_RESTART="false"

$MYSQLD status || $MYSQLD start

if [ -f /etc/psa/.psa.shadow ]; then
  MYSQL_ADMIN_LOGIN=admin
  MYSQL_ADMIN_PASSWORD=`cat /etc/psa/.psa.shadow`
elif [ -f /root/.my.cnf ]; then
  MYSQL_ADMIN_PASSWORD=`cat /root/.my.cnf | grep password | awk -F= '{print $2;}'`
else
  # try connect as root with empty password
   #cho_try "connect as root with empty password"
   echo "" | $MYSQL_CLIENT -u root --password= mysql > /dev/null 2>&1
   myOK=$?
   if [ ! $myOK -eq 0 ]; then
  	  $MYSQLD stop
	  sleep 5
	  $SAFE_MYSQL --datadir="${MYSQL_VAR_D}" --skip-grant-tables > /dev/null 2>&1 &
	  sleep 5
	  MYSQL_NEED_RESTART="true"
   fi
fi

/usr/local/bin/sb_config --force --db_admin_name=$MYSQL_ADMIN_LOGIN --db_admin_passwd=$MYSQL_ADMIN_PASSWORD --sb_db_user_passwd=`date| $MD5 |cut -d' '  -f1`;



sleep 2
if [ $MYSQL_NEED_RESTART = "true" ]; then
  killall -TERM mysqld safe_mysqld > /dev/null 2>&1
  sleep 5
  killall -9 mysqld safe_mysqld > /dev/null 2>&1
  $MYSQLD start
fi


 